Users

List a user's teams

GET/api/users/{userId}/teams

Returns a paginated list of teams for the specified user. Available to that user and administrators.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
userIdrequiredstringID of the associated user.

Query parameters

NameTypeDescription
pageintegerPage number, starting at 1.
pageSizeintegerNumber of results per page.
maxResultsintegerMaximum number of results to include.
orderBystringField to sort the results by.
sortDescendingenum<string>Whether to sort results in descending order.
Options: true, false

Responses

200The operation completed successfully.
NameTypeDescription
countrequirednumberNumber of matching records.
datarequiredobject[]Data returned by the operation.
isCappedbooleanWhether the results were truncated by the maximum result limit.
orderBystringField to sort the results by.
pagerequirednumberPage number, starting at 1.
pageSizerequirednumberNumber of results per page.
searchstringSearch text used to filter results.
sortDescendingbooleanWhether to sort results in descending order.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL